require:
  # Due to a probably bug in rubocop (https://github.com/bbatsov/rubocop/issues/5251)
  # we need to require rubocop-rspec a second time so that RSpec/FilePath does
  # not fallback to Rails/FilePath.
  - rubocop-rspec
  - rubocop-faker

inherit_gem:
  gitlab-styles:
    - rubocop-default.yml

AllCops:
  TargetRubyVersion: 2.6
  Exclude:
    - 'vendor/**/*'

Lint/ShadowingOuterLocalVariable:
  Enabled: false

Metrics/MethodLength:
  Max: 20

Rails:
  Enabled: false

Style/ModuleFunction:
  Enabled: false

Style/SignalException:
  Enabled: false

Layout/SpaceBeforeFirstArg:
  Enabled: false

Lint/MissingCopEnableDirective:
  Enabled: false

Style/RegexpLiteral:
  AllowInnerSlashes: true

Style/FloatDivision:
  Enabled: false

Layout/LineLength:
  Enabled: false

Style/FrozenStringLiteralComment:
  Enabled: false